%define upstream_name    Perl-Metrics-Simple
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Methods analyzing a single file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find) >= 1.10.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(PPI) >= 1.113.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly) >= 1.30.0
BuildRequires: perl(Statistics::Basic::Mean)
BuildRequires: perl(Statistics::Basic::Median)
BuildRequires: perl(Statistics::Basic::StdDev)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.40.0
BuildArch:  noarch

%description
*Perl::Metrics::Simple* provides just enough methods to run static analysis
of one or many Perl files and obtain a few metrics: packages, subroutines,
lines of code, and an approximation of cyclomatic (mccabe) complexity for
the subroutines and the "main" portion of the code.

*Perl::Metrics::Simple* is far simpler than the Perl::Metrics manpage.

Installs a script called *countperl*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes EXAMPLES INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 514106
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 371687
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 342480
- update to 0.17

* Wed Nov 07 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 315818
- update to 0.16

* Sun Jan 23 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 34138
- mageia rebuild
- imported package perl-Perl-Metrics-Simple

